# Interface ConfigLoadOptions

interface ConfigLoadOptions {
fromLocalStorage?: boolean;
fromUrlParam?: string | boolean;
schema?: AnySchema;
static?: Record<string, any>;
url?: string | string[] | (environment: Environment) => string | string[];
}

- Defined in config.service.ts:18

#####
Index

### Properties

fromLocalStorage?
fromUrlParam?
schema?
static?
url?

##
Properties

### `Optional` fromLocalStorage

fromLocalStorage?: boolean

- Defined in config.service.ts:20

### `Optional` fromUrlParam

fromUrlParam?: string | boolean

- Defined in config.service.ts:19

### `Optional` schema

schema?: AnySchema

- Defined in config.service.ts:21

### `Optional` static

static?: Record<string, any>

static config values

- Defined in config.service.ts:26

### `Optional` url

url?: string | string[] | (environment: Environment) => string | string[]

- Defined in config.service.ts:22